+1 vote

Hey guys,
I recently came across Pulpo and wanted to try it out. Usage and installation seemed to be quite easy considering the main homepage with the 4 step explanation. However I downloaded the zip extracted it and tried running the given command:

./pulpo -import-project ../../Projekte/Pielers/b2c-shop -orm Doctrine -export-image test/output.png

but all I get is this error:
dyld: Library not loaded: @rpath/QtWidgets.framework/Versions/5/QtWidgets
Referenced from: /Users/trothe/Development/Tools/Pulpo/./pulpo
Reason: image not found

I am on MacOS 10.14.5 and we are using Symfony, Doctrine and Docker
Any help is appreciated, thank you.

Greetz X-Ray-Jin

asked in Pulpo topics by (130 points)

3 Answers

0 votes

Same on 10.12.

answered by (150 points)
0 votes

It should be fixed now.

Please try new version 1.1.3.55 available on Pulpo site.

Thanks for reporting.

answered by Skipper developer (134k points)

Thanks it seems to work now. However importing our project I only get a small image with just one random class it seems. Either it can not handle our project stack or I am using it wrong, I guess. I will have to try a little more.

It's hard to say what can cause this. Skipper/Pulpo has some import rules how to find and identify ORM files. It depends on several factors and type of ORM

Based on your original post, you're using "Doctrine". Are you sure, it's not Doctrine2 for example ?

We are using Symfony 3.4, in Doctrine/ORM/Version.php it says doctrine version 2.6.3

So, you're using Doctrine2, not Doctrine. use

-orm Doctrine2

0 votes

Hi, I'm having a similar problem with a version I downloaded and installed today.

This is the command I've executed
pulpo -import-project sf2projects\capture -orm Doctrine2 -export-image output.png

And I'm getting this error :

qt.qpa.plugin: Could not find the Qt platform plugin "windows" in ""
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

La version est : 1.1.3.55
I'm using it on Windows 10 64bits

Thanks

answered by (140 points)

Hello, we will check it. Thanks for info